<!--#include file="../bbs/inc/BBSsetup.jsp"-->
<!--#include file="../bbs/inc/Board_Popfun.jsp"-->
<!--#include file="../blog/config.jsp"-->

<%
DEF_BBS_HomeUrl = "../"
initDatabase
Dim UserID,Rs
Set Rs = Con.exeCute("Select top 1 UserID from LeadBBS_onlineUser where sessionID=" & session.sessionID)
GBL_DBNum = GBL_DBNum + 1
If Rs.Eof Then
	UserID = GBL_UserID
Else
	UserID = cCur(Rs("UserID"))
End If
Rs.Close
Set Rs = Nothing
  session.abandon
 

  Response.Cookies("aspxnet")("RandNumber") = ""
  Response.Cookies("aspxnet")("CurUserID") = ""
  Response.Cookies("aspxnet")("CurUserName") = ""
  Session.Contents("OnlinUserName") = ""
   
Response.Cookies(DEF_MasterCookies)("User") = ""
Response.Cookies(DEF_MasterCookies)("pass") = ""
Response.Cookies(DEF_MasterCookies & "Time") = ""
Response.Cookies(DEF_MasterCookies).Expires = Date - 1
Response.Cookies(DEF_MasterCookies & "_" & GBL_UserID).Expires = Date - 1
Response.Cookies(DEF_MasterCookies & "_" & GBL_UserID).Expires = Date - 1
Response.Cookies(DEF_MasterCookies & "Time").Expires = Date - 1
'-----------------------------------
'oBlog Flag Start
Response.Cookies(cookies_name)("username")=""
Response.Cookies(cookies_name)("password")=""
Response.Cookies(cookies_name)("userurl")="" 
'oBlog Flag End
'-----------------------------------

'Response.Cookies(DEF_MasterCookies & "style").Expires = Date - 1
UpdateOnlineUserInfo(" from LeadBBS_onlineUser where sessionID=" & session.sessionID)
If GBL_UserID > 0 Then UpdateOnlineUserInfo(" from LeadBBS_onlineUser where UserID=" & GBL_UserID)
SetActiveUserCount
GBL_DBNum = GBL_DBNum + 1
session.abandon
If UserID > 0 Then
	con.execute("Update LeadBBS_User set LastDoingTime=" & GetTimeValue(DateAdd("s", 0-DEF_UserOnlineTimeOut, DEF_Now)) & " where ID=" & UserID)
	GBL_DBNum = GBL_DBNum + 1
End If
closeDatabase

  Response.write "<script> alert('您现已安全退出本站！');window.location.href='login.jsp'</script>"
%>
